<%
// Idea: sort and translate races into normal english

const hidden_races = [
    "Insect",
    "-",
    "SemiHuman",
    "Angel",
    "NonBoss",
    "NonSemiHuman",
    "NonPlayer",
    "SemiPlayer",
    "NonSemiPlayer"
];

const RaceIds = Object.keys(races);
const Races = RaceIds.map(key => races[key]);

const Monsters = data.filter(mob => !hidden_races.includes(races[mob.race]));

const LevelSteps = [
    [20, "Starter"],
    [40, "Apprentice"],
    [60, "Intermediary"],
    [80, "Advanced"],
    [100, "Expert"],
    [150, "Master"],
    [300, "Out Of Scope"],
];
let previousLevelStep = 0;

%>


<% for(let [levelStep, title] of LevelSteps) { %>
<h2>
    <%= title %> (Level <%= previousLevelStep %> - <%= levelStep %>)
</h2>
<div class="group mobs">
    <% mobs = Monsters.filter(mob => mob.lv > previousLevelStep && mob.lv <= levelStep); %>
    <% for(var j = 0; j < mobs.length; j++) {%>
    <a id="<%= mobs[j].id %>" href="<%= mobs[j].id %>" class="element" title="<%= mobs[j].name %> | <%= mobs[j].id %>">
        <div class="thumbnail">
            <div
                class="mob-image"
                style="background-image: url('<%= image_path_prefix + mobs[j].id + `.png` %>');"
            ></div>
        </div>
        <span class="label">
            <%= mobs[j].name %>
        </span>
    </a>
    <% } %>
</div>
<% previousLevelStep = levelStep %>
<% } %>
